> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Organization Structure by External ID

GET https://api.letsdeel.com/rest/hris/organization_structures/external/{external_id}

Fetches a single organization structure, returning associated roles and teams alongside structure metadata.

 **Token scopes**: `organizations:read`

Reference: https://developer.deel.com/api/reference/endpoints/organization-structure/get-organization-structure-by-external-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `external_id` (string, required) — External ID

## Response

### 200

Successful operation

- `data` (HrisOrganizationStructuresExternalExternalIdGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Bad request - The provided hrisOrgStructureId is invalid.

- `errors` (list of HrisOrganizationStructuresHrisOrgStructureIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Not found - No organization structure exists for the provided ID.

- `errors` (list of HrisOrganizationStructuresHrisOrgStructureIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### HrisOrganizationStructuresExternalExternalIdGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — Organization ID
- `name` (string, optional) — Organization name
- `type` (string, optional) — Organization type
- `roles` (list of HrisOrganizationStructuresExternalExternalIdGetResponsesContentApplicationJsonSchemaDataRolesItems, optional)
- `teams` (list of HrisOrganizationStructuresExternalExternalIdGetResponsesContentApplicationJsonSchemaDataTeamsItems, optional)
- `external_id` (string, optional) — External ID
- `teams_count` (integer, optional) — Number of teams in the organization
- `enable_roles` (boolean, optional) — Flag to enable roles in the organization
- `is_multiselect` (boolean, optional) — Flag to enable multiselect in the organization

### HrisOrganizationStructuresHrisOrgStructureIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required)
- `message` (string, required)
- `field` (string, optional)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### HrisOrganizationStructuresExternalExternalIdGetResponsesContentApplicationJsonSchemaDataRolesItems

- `id` (integer, optional) — Role ID
- `name` (string, optional) — Role name

### HrisOrganizationStructuresExternalExternalIdGetResponsesContentApplicationJsonSchemaDataTeamsItems

## Examples

**Response**

```json
{
  "data": {
    "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "name": "Deel",
    "type": "company",
    "roles": [
      {
        "id": 1,
        "name": "Admin"
      }
    ],
    "teams": [
      {}
    ],
    "external_id": "rkkej3",
    "teams_count": 2,
    "enable_roles": true,
    "is_multiselect": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/hris/organization_structures/external/rkkej3")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```